The managed speech + language stack, by tier
GET
https://server.heyrik.com/api/v1/providersHeaders
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataobjectExplore 3 properties
llmarrayExplore 2 example items
[0]objectExplore 4 properties
providerstringExample "heyrik"
modelstringExample "standard"
labelstringExample "Standard - fastest (Mumbai)"
global_onlybooleanExample false
[1]objectExplore 4 properties
providerstringExample "heyrik"
modelstringExample "economy"
labelstringExample "Economy - lowest cost (global only)"
global_onlybooleanExample true
sttarrayExplore 1 example item
[0]objectExplore 2 properties
providerstringExample "heyrik"
labelstringExample "HeyRik Speech-to-Text"
ttsarrayExplore 1 example item
[0]objectExplore 2 properties
providerstringExample "astra"
labelstringExample "Astra v1"
GET/providers
cURL
curl https://server.heyrik.com/api/v1/providers \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": {
"llm": [
{ "provider": "heyrik", "model": "standard", "label": "Standard - fastest (Mumbai)", "global_only": false },
{ "provider": "heyrik", "model": "economy", "label": "Economy - lowest cost (global only)", "global_only": true }
],
"stt": [ { "provider": "heyrik", "label": "HeyRik Speech-to-Text" } ],
"tts": [ { "provider": "astra", "label": "Astra v1" } ]
}
}Illustrative examples · No live request is sent
